using System;

namespace Tkmicenje_3._godina_4._zadatak
{
    class Program
    {
        static void Main(string[] args)
        {
            string s = Console.ReadLine();
            string s1 = Console.ReadLine();
            int[] niz = new int[s1.Length + 1];
            int brojac = 0;
            int broj_ponavljanja = 0;
            niz[s1.Length] = 1;
            for (int i = s.Length - 1; i >= 0; i--)
            {
                if(s[i] == s1[0])
                {
                    broj_ponavljanja++;
                }
                for (int j = s1.Length - 1; j >= 0; j--)
                {
                    if (s[i] == s1[j])
                    {
                        niz[j] += niz[j + 1];
                    }
                }
            }
            if(niz[0] > 0)
            {
                if(s1.Length == 1)
                {
                    while(s.IndexOf(s1) != -1)
                    { 
                        s = s.Substring(0, s.IndexOf(s1)) + "*" + s.Substring(s.IndexOf(s1) + 1);
                        brojac++;
                    }
                }
                else
                {
                    for (int i = 0; i < broj_ponavljanja - s1.Length + 1; i++)
                    {
                        s = s.Substring(0, s.IndexOf(s1[0])) + "*" + s.Substring(s.IndexOf(s1[0]) + 1);
                        brojac++; 
                    }
                }
            }
            else
            {
                Console.WriteLine(0);
                Console.WriteLine(s);
                return;
            }
            Console.WriteLine(brojac);
            Console.WriteLine(s);
        }
    }
}